/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：数据集树目录表
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集树目录表")
public class DataSetTreeUpdateDto implements Serializable
{
    /**
     * id<br>
     */
    @ApiModelProperty("id")
    @Size(max = 32, message="id长度不能 > 32" )
    private String id;
    /**
     * 节点名称<br>
     */
    @ApiModelProperty("节点名称")
    @Size(max = 32, message="节点名称长度不能 > 32" )
    private String name;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 32, message="系统id长度不能 > 32" )
    private String proId;
    /**
     * 目录描述<br>
     */
    @ApiModelProperty("目录描述")
    @Size(max = 255, message="目录描述长度不能 > 255" )
    private String description;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}